Firefox 3.0.3 e Slackware 11.0

Se avete problemi con l'installazione e la configurazione di Slackware postate qui. Non usate questo forum per argomenti generali... per quelli usate Gnu/Linux in genere.

Moderatore: Staff

Regole del forum
1) Citare sempre la versione di Slackware usata, la versione del Kernel e magari anche la versione della libreria coinvolta. Questi dati aiutano le persone che possono rispondere.
2) Per evitare confusione prego inserire in questo forum solo topic che riguardano appunto Slackware, se l'argomento è generale usate il forum Gnu/Linux in genere.
3) Leggere attentamente le risposte ricevute.
4) Scrivere i messaggi con il colore di default, evitare altri colori.
5) Scrivere in Italiano o in Inglese, se possibile grammaticalmente corretto, evitate stili di scrittura poco chiari, quindi nessuna abbreviazione tipo telegramma o scrittura stile SMS o CHAT.
6) Appena registrati è consigliato presentarsi nel forum dedicato.

La non osservanza delle regole porta a provvedimenti di vari tipo da parte dello staff, in particolare la non osservanza della regola 5 porta alla cancellazione del post e alla segnalazione dell'utente. In caso di recidività l'utente rischia il ban temporaneo.
Rispondi
Avatar utente
zener
Linux 0.x
Linux 0.x
Messaggi: 11
Iscritto il: gio 9 ott 2008, 21:02
Slackware: 11.0 - 12.2 - 13.37
Kernel: 2.4.33.3
Desktop: kde 3.5
Località: Casarano (Lecce)
Contatta:

Firefox 3.0.3 e Slackware 11.0

Messaggio da zener »

Ciao...

Qualcuno è riuscito a far funzionare Firefox 3.0.3 (da mozillaitalia.it) in Slackware 11.0 kernel 2.4?

Vuole un aggiornamento delle librerie GTK, come si vede dalla finestra di dialogo che allego... Qualcuno ha risolto il problema?

Grazie per l'attenzione
Allegati
problema_htk_firefox_3.png
problema_htk_firefox_3.png (56.18 KiB) Visto 752 volte

Avatar utente
phobos3576
Staff
Staff
Messaggi: 2980
Iscritto il: dom 17 apr 2005, 0:00
Slackware: 13.1
Kernel: 2.6.37-smp
Desktop: KDE 4.5.3

Re: Firefox 3.0.3 e Slackware 11.0

Messaggio da phobos3576 »

Adesso che ci penso, ai tempi di Slackware 11 avevo provato anche io ad aggiornare le GTK2, con il risultato che molte applicazioni GTK2 non funzionavano più; ad esempio, non si apriva nemmeno il pannello nVidia.
Il problema è legato al fatto che spesso, le nuove versioni delle GTK2, non mantengono la compatibilità con le vecchie versioni; purtroppo questa è una pessima pratica, molto diffusa in ambiente Linux.

Se proprio vuoi aggiornare alle nuove librerie GTK2, dopo devi ricompilarti tutte le applicazioni GTK2 che cessano di funzionare; peggio ancora, oltre a ricompilare, dovresti persino modificare i sorgenti di quelle applicazioni (infatti, l'incompatibilità con le vecchie GTK2 è legata alla modifica dell'interfaccia delle vaie funzioni).

Quindi, fai prima ad installare Slackware 12.1

Rispondi